#ifndef zori_button_H_INCLUDED
#define zori_button_H_INCLUDED

#include <zori.h>

#define ZORI_WIDGET_TYPE_BUTTON ZORI_WIDGET_TYPE('z','b','u','t')

struct zori_button {
    struct zori_widget widget;
    zori_string      * text;
    int                align;
};


struct zori_button *zori_widget_to_button(struct zori_widget *widget);
int zori_button_on_mouse_axes(union zori_event *event);
int zori_button_on_mouse_click(union zori_event *event);
void zori_draw_button(struct zori_button *button);
int zori_button_on_draw(union zori_event *event);
struct zori_button *zori_button_text_(struct zori_button *button, zori_string *text);
struct zori_button *zori_button_init(struct zori_button *button, zori_string *text);
struct zori_button *zori_button_new(zori_id id, zori_id parent, zori_box *box, zori_string *text);
zori_id zori_new_button(zori_id id, zori_id parent, zori_box *box, zori_string *text);


#endif




